View Issue Details

IDProjectCategoryView StatusLast Update
0021933LazarusLCLpublic2012-05-05 04:09
ReportercobinesAssigned ToPaul Ishenin 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
PlatformLinux i386OSDebianOS VersionSid
Product Version1.1 (SVN)Product Build37146 
Target VersionFixed in Version1.1 (SVN) 
Summary0021933: Cannot close modal form with OK, Cancel buttons by pressing Enter or Escape when another control has focus
DescriptionRegression after r.37142.

When a modal form has default button OK with ModalResult=mrOK and button Cancel with ModalResult=mrCancel and Cancel=True and focus is in another control (for example TEdit) then pressing Enter or Escape doesn't close form.

This doesn't work on Win32 and Linux / LCLQt, LCLGtk2.
Steps To Reproduce1. Run application, press Show Modal button.
2. Edit control has focus. Pressing Enter or Escape should close the form but it doesn't.
TagsNo tags attached.
Fixed in Revision37150
LazTarget-
Widgetset
Attached Files

Relationships

has duplicate 0021937 resolvedPaul Ishenin Packages Find dialog not responds to Enter and Escape 

Activities

2012-05-03 16:22

 

enter_escape_keys.tar.bz2 (1,875 bytes)

Paul Ishenin

2012-05-04 02:56

manager   ~0059226

Please test and close if ok.

cobines

2012-05-05 04:09

reporter   ~0059243

Thanks. It is OK now.

Issue History

Date Modified Username Field Change
2012-05-03 16:22 cobines New Issue
2012-05-03 16:22 cobines File Added: enter_escape_keys.tar.bz2
2012-05-03 19:23 Zeljan Rikalo Status new => assigned
2012-05-03 19:23 Zeljan Rikalo Assigned To => Paul Ishenin
2012-05-04 00:02 Mattias Gaertner Relationship added related to 0021937
2012-05-04 02:56 Paul Ishenin Fixed in Revision => 37150
2012-05-04 02:56 Paul Ishenin LazTarget => -
2012-05-04 02:56 Paul Ishenin Status assigned => resolved
2012-05-04 02:56 Paul Ishenin Fixed in Version => 1.1 (SVN)
2012-05-04 02:56 Paul Ishenin Resolution open => fixed
2012-05-04 02:56 Paul Ishenin Note Added: 0059226
2012-05-04 14:21 Paul Ishenin Relationship replaced has duplicate 0021937
2012-05-05 04:09 cobines Status resolved => closed
2012-05-05 04:09 cobines Note Added: 0059243